# Uses of Interface
com.usatiuk.dhfs.rpc.RpcClientFactory.ObjectSyncClientFunction

Packages that use RpcClientFactory.ObjectSyncClientFunction
Package
Description
com.usatiuk.dhfs.rpc

## Uses of RpcClientFactory.ObjectSyncClientFunction in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc with parameters of type RpcClientFactory.ObjectSyncClientFunction
Modifier and Type
Method
Description
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId host, PeerAddress address, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId target, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
RpcClientFactory.`withObjSyncClient(PeerId host, InetAddress addr, int port, long timeout, RpcClientFactory.ObjectSyncClientFunction<R> fn)`
`<R> R`
RpcClientFactory.`withObjSyncClient(Collection<PeerId> targets, RpcClientFactory.ObjectSyncClientFunction<R> fn)`